package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadHSStatusCommandResponse;

public class ReadHSStatusCommand extends ReadMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8621697814661716115L;

	@Override
	public Class<ReadHSStatusCommandResponse> getResponseClass() {
		return ReadHSStatusCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询硫化氢报警状态命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READHSSTATUS;
	}

}
